lemkenmagic = {};

function lemkenmagic.prerequisitesPresent(specializations)
  return true;
end

function lemkenmagic:load(xmlFile)

    self.fanNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.fan#index"));

end;

function lemkenmagic:update(dt)


		if self.fanNode ~= nil and self.isMotorStarted then 
			 rotate(self.fanNode, 0, 0, 4000);
		end;	
		
end;

function lemkenmagic:delete()
end;

function lemkenmagic:mouseEvent(posX, posY, isDown, isUp, button)
end;

function lemkenmagic:keyEvent(unicode, sym, modifier, isDown)
end;

function lemkenmagic:draw()
end;

